﻿@model lap.tel.com_project.Models.Device

@{
    ViewData["Title"] = "Edytuj zlecenie";
}

<h2>Edytuj zlecenie</h2>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="DeviceId" />
            <div class="form-group">
                <label asp-for="Marka" class="control-label"></label>
                <input asp-for="Marka" class="form-control" />
                <span asp-validation-for="Marka" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Model" class="control-label"></label>
                <input asp-for="Model" class="form-control" />
                <span asp-validation-for="Model" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="SerialNr" class="control-label"></label>
                <input asp-for="SerialNr" class="form-control" />
                <span asp-validation-for="SerialNr" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Accessory" class="control-label"></label>
                <input asp-for="Accessory" class="form-control" />
                <span asp-validation-for="Accessory" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="RepairTypeId" class="control-label"></label>
                <select asp-for="RepairTypeId" class="form-control" asp-items="ViewBag.RepairTypeId"></select>
                <span asp-validation-for="RepairTypeId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" class="form-control" />
                <span asp-validation-for="Description" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="IsFlooded" /> @Html.DisplayNameFor(model => model.IsFlooded)
                </label>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="IsImportantData" /> @Html.DisplayNameFor(model => model.IsImportantData)
                </label>
            </div>
            <div class="form-group">
                <a class="btn btn-dark" onclick="window.history.back();">Powrót</a>
                <input class="btn btn-primary" type="submit" value="Zapisz" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
